import { createClient } from '@supabase/supabase-js';

const supabaseUrl = process.env.REACT_APP_SUPABASE_URL;

const supabaseAnonKey = process.env.REACT_APP_SUPABASE_ANON_KEY;

const SupabaseClient = createClient(supabaseUrl, supabaseAnonKey);

const createBucket = async (bucketName) => {
  const { data, error } = await SupabaseClient.storage.createBucket(
    bucketName,
    { public: false }
  );
  console.log(data, error);
};

createBucket('questionImages');

export default SupabaseClient;
